#!/bin/bash
# print stdin to stdout as a comment block
# arguments:
#   $1)
#      <filename> name of the file that is being processed

if [ "$1" ]; then
        case "${1:(-2)}" in
        .c)
                echo "// SPDX-License-Identifier: @SPDX@"
                ;;
        .h)
                echo "/* SPDX-License-Identifier: @SPDX@ */"
                ;;
        *)
                echo "# SPDX-License-Identifier: @SPDX@"
                ;;
        esac
fi
