#!/usr/bin/perl

# include the definitions of some driver specific strings

require SpecSetup;

# print out the bulletin.xml for the esx40 VIB packaging

$date = `date "+%FT%T"`;
chomp($date);

print <<EOF
<?xml version="1.0"?>
<bulletin>
  <category>general</category>
  <contact>linux.nics\@intel.com</contact>
  <description>$esx_description</description>
  <id>INT-intel-lad-ddk-$name-$esx_rev_short.$driver_version-1.$ddk_version</id>
  <kbUrl>$URL</kbUrl>
  <platforms>
    <softwarePlatform locale="" productLineID="esx" version="4.*" />
    <softwarePlatform locale="" productLineID="embeddedEsx" version="4.*" />
  </platforms>
  <releaseDate>$date</releaseDate>
  <releaseType>extension</releaseType>
  <severity>general</severity>
  <summary>i40e: $esx_summary</summary>
  <vendor>Intel</vendor>
  <vibList>
    <vibID></vibID>
  </vibList>
</bulletin>
EOF

