/* SPDX-License-Identifier: GPL-2.0 or Linux-OpenIB */
/* Copyright (c) 2021 - 2022 Intel Corporation */
#ifndef IG3RDMA_HW_H
#define IG3RDMA_HW_H

enum ig3rdma_device_caps_const {
	IG3RDMA_MAX_WQ_FRAGMENT_COUNT		= 14,
	IG3RDMA_MAX_SGE_RD			= 14,

	IG3RDMA_MAX_STATS_COUNT			= 128,

	IG3RDMA_MAX_IRD_SIZE			= 2048,
	IG3RDMA_MAX_ORD_SIZE			= 2048,
	IG3RDMA_MIN_WQ_SIZE			= 16 /* WQEs */,
};

#endif /* IG3RDMA_HW_H*/
