# Copyright (C) 2018 - 2019 Intel Corporation
# For licensing information, see the file 'LICENSE' in the root folder

IRDMA_SRC=$2
echo "IRDMA_SRC "$IRDMA_SRC
TARGET_DIR=$3
echo "TARGET_DIR "$TARGET_DIR
IRDMA_DEST="$TARGET_DIR/src/irdma"
echo "IRDMA_DEST "$IRDMA_DEST

mkdir -p $IRDMA_DEST

# build/strip irdma source
cd $IRDMA_SRC/src
make -f build.mk BUILD=$1
cp -r -f irdma $IRDMA_DEST/..
cd ../..
pwd
#mkdir -p $TARGET_DIR/idpf/src 
#cp ../lan/idpf/src/IDC/idc_generic.h $TARGET_DIR/idpf/src
cp ../lan/idpf/src/IDC/idc_generic.h $IRDMA_DEST
cp ../lan/idpf/src/COMPAT/kcompat.h $IRDMA_DEST
cp $IRDMA_SRC/src/CORE/Makefile $IRDMA_DEST
cp $IRDMA_SRC/src/CORE/common.mk $IRDMA_DEST

# finish staging top level directory
cp $IRDMA_SRC/README_irdma.txt $TARGET_DIR/..
cp $IRDMA_SRC/Release_Notes_Linux_RDMA_AxF.md $TARGET_DIR/..

# finish staging irdma
cat $COPYRIGHT_S $IRDMA_DEST/build.sh > $IRDMA_DEST/../../build.sh
chmod +x $IRDMA_DEST/../../build.sh
rm -f $IRDMA_DEST/build.sh

