#!/usr/bin/perl

# include the definitions of some driver specific strings

require SpecSetup;

print <<EOF;
Summary: $esx_summary
Name: VMware-esx-drivers-net-$name
Version: $esx_rev_short.$driver_version
Release: $ddk_version
Source: %{name}-%{version}-%{release}.tar.gz
Vendor: Intel Corporation
License: GPL
Group: System Environment/Kernel
Obsoletes: VMware-esx-drivers
Requires: vmware-hwdata >= 1.00
Requires: DriverAPI-8.0
Provides: %{name}
URL: $URL
BuildRoot: %{CURRENTDIR}/rpm

%description
$esx_description

%prep

%install

%pre

%post
/usr/sbin/esxcfg-pciid -q
/usr/sbin/esxcfg-boot --sched-rdbuild

%preun

%postun
/usr/sbin/esxcfg-pciid -q
/usr/sbin/esxcfg-boot --sched-rdbuild

%files
%attr(-, root, root) /usr/lib/vmware/vmkmod
%attr(-, root, root) /usr/lib/vmware-debug/vmkmod
%attr(-, root, root) /etc/vmware/pciid
EOF
