# Copyright (c) 2019 - 2021 Intel Corporation
#!/bin/bash
# script for virtbus transforms
# arguments:
#   $1)
#      <filename> name of the file that is being processed

# Temporary set of transforms to build a auxiliary driver with irdma for open source
# submission. This can removed after OOT auxiliary code is merged
sed -i 's/platform_device.h/auxiliary_bus.h/' $1;
sed -i 's/platform_device/auxiliary_device/' $1;
sed -i 's/MODULE_DEVICE_TABLE(platform, irdma_platform_id_table)/MODULE_DEVICE_TABLE(auxiliary, irdma_auxiliary_id_table)/' $1
sed -i 's/MODULE_DEVICE_TABLE(platform, i40iw_platform_id_table)/MODULE_DEVICE_TABLE(auxiliary, i40iw_auxiliary_id_table)/' $1
sed -i 's/int irdma_remove/void irdma_remove/' $1
sed -i 's/int i40iw_remove/void i40iw_remove/' $1
sed -i 's/to_platform_device/to_auxiliary_dev/' $1;
sed -i 's/platform_id_table/auxiliary_id_table/' $1;
sed -i 's/platform_driver_register/auxiliary_driver_register/' $1;
sed -i 's/platform_driver_unregister/auxiliary_driver_unregister/' $1;
sed -i 's/irdma_pdriver/irdma_auxiliary_drv/' $1;
sed -i 's/i40iw_pdriver/i40iw_auxiliary_drv/' $1;
sed -i 's/platform_driver/auxiliary_driver/' $1;
sed -i 's/pdev/aux_dev/g' $1;
sed -i 's/peer_info->aux_dev/peer_info->pdev/g' $1;
sed -i 's/platform_dev/aux_dev/g' $1;
sed -i 's/platform device/auxiliary device/' $1;
sed -i 's/virt_dev->name/aux_dev->match_name/' $1;
sed -i 's/ice_peer_/iidc_peer_/' $1;
sed -i 's/ice_res/iidc_res/' $1;
sed -i 's/ICE_PEER_/IIDC_PEER_/' $1;
sed -i 's/ICE_REASON_/IIDC_REASON_/g' $1;
sed -i 's/ICE_EVENT_/IIDC_EVENT_/g' $1;
sed -i 's/struct ice_event/struct iidc_event/g' $1;
sed -i 's/struct ice_qos/struct iidc_qos/g' $1;
sed -i 's/ice_close_reason/iidc_close_reason/g' $1;
sed -i 's/ICE_IDC/IIDC/' $1;
sed -i 's/ICE_RDMA_/IIDC_RDMA_/' $1;
sed -i 's/"ice_rdma"/"ice.intel_rdma"/' $1;
sed -i 's/"i40e_rdma"/"i40e.intel_rdma"/' $1;
sed -i 's/IRDMA_ICE_PDEV_NAME/IRDMA_ICE_AUXDEV_NAME/' $1;
sed -i 's/IRDMA_I40E_PDEV_NAME/IRDMA_I40E_AUXDEV_NAME/' $1;
sed -i '/platform_get_device_id/d' $1;
sed -i '/.driver.name =/d' $1;
#end
