
class WQE : TB_OBJ
{
	protected:
		u8 wqe_valid;
		u8 addnl_frag_cnt;
		u8 op_code;
		void *frag_descriptor;
		void *frag_array;
};

class QP_SQ_WQE : WQE
{
	protected:
		u8 signaled_compl;
		u8 local_fence;
		u8 read_fence;
		u8 wait_for_rcv_fpdu;
		u8 streaming_mode;
		u8 inline_data_flag;
		u8 push_wqe;
		u8 inline_data_length;
		u8 immed_data_flag;
		u8 report_rtt;
};

class QP_RQ_WQE : WQE
{
	protected:
		u64 tagged_offset;
		u8 frag_valid;
		u32 frag_length;
		u32 stag;

};
