#!/usr/bin/ruby

$clusters = {
	'verbs' => {
		:funcs => [
			'irdma_inline_data_size_to_quanta',
			'irdma_copy_inline_data',
			'irdma_fragcnt_to_quanta_sq',
			'irdma_set_fragment',
			'irdma_nop_1',
			'irdma_get_user_access',
			'irdma_qp_ring_push_db',
			'irdma_qp_post_wr',
			'irdma_qp_push_wqe',
			'irdma_qp_get_next_send_wqe',
			'irdma_inline_send',
			'irdma_send',
			'irdma_rdma_read',
			'irdma_stag_local_invalidate',
			'irdma_rdma_write',
			'irdma_inline_rdma_write',
			'irdma_sc_mr_fast_register',
			'irdma_post_send',
		],
		:files => [
			'ctrl.c',
			'uk.c',
			'verbs.c'
		],
		:deps => [],
	},

	#NOTE: not a real cluster, actual test executables will be in
	#      sub-clusters
	'jenkins' => {
		:funcs => [],
		:files => [],
		:deps => [
			'verbs',
		],
	},

}

