#!/usr/bin/ruby

# This script will generate prodcode.cpp

cluster = ARGV[0]

# generate icrdma area
dir = `pwd`
#puts dir #this is a debug print
`cd ../../../; make -f build.mk BUILD=SI VERSION=1.0.1`
# for me ... cscope and ctags
`cd ../../../icrdma; cscope -b; ctags -R .;`
`cd #{dir}`
# icrdma area should be ready now

`echo "" > prodcode.tmp`

# args to parse.rb
# 1) which cluster we want to build
#    clusters are defined in parse.rb
# output will be prodcode.tmp, this will contain all the desired functions
# for the cluster we want to make
puts `./parse.rb #{cluster}`

# clear out any old data in prodcode class
`echo "" > ../#{cluster}/prodcode.cpp`

# include a prewritten header and footer to create ProdCode class
`cat ../#{cluster}/prodcode.hdr >> ../#{cluster}/prodcode.cpp`
`cat prodcode.tmp >> ../#{cluster}/prodcode.cpp`
`cat ../#{cluster}/prodcode.ftr >> ../#{cluster}/prodcode.cpp`

# remove temp files
`rm -rf prodcode.tmp`

puts "Done Generating ProdCode class"
